Subject: bug#45447: metapost: ``invalid option''

From: Holger Peters <[email-masked]>
Date: Sat, 26 Dec 2020 18:07:19 +0100

Hi,

I have trouble running the guix-supplied `mptopdf' which I think is
related to the guix packaging / bundling.  The file I run this on stems
from my pre-guix times, so I think it should be fine. The error seems
to stem from a bash invocation.

  % mptopdf --latex myfig.mp
  /gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz67-bash-5.0.16/bin/bash: -S:
invalid option
  Usage:	/gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz67-bash-
5.0.16/bin/bash [GNU long option] [option] ...
          /gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz67-bash-
5.0.16/bin/bash [GNU long option] [option] script-file ...
  GNU long options:
          --debug
          --debugger
          --dump-po-strings
          --dump-strings
          --help
          --init-file
          --login
          --noediting
          --noprofile
          --norc
          --posix
          --pretty-print
          --rcfile
          --restricted
          --verbose
          --version
  Shell options:
          -ilrsD or -c command or -O shopt_option	(invocation
only)
          -abefhkmnptuvxBCHP or -o option

For this

  % type mptopdf                                                      
  mptopdf is /home/holger/.guix-profile/bin/mptopdf